2003-01-02  Francesco Bresciani  <fbresciani@users.sourceforge.net>

	* changed icon names. The new names are hi32- and hi16-app-kdrawchem

	* Makefile.am: use KDE_ICON for the icons

	* all files: The code generated by the meta object compiler (moc) is not longer compiled standalone,
	but is included in sourcefiles

	* kdrawchem.cpp: Fixed a bug which prevents the Font Size combo box visualization

2003-01-01  Francesco Bresciani  <fbresciani@users.sourceforge.net>

	* molecule_13nmr.cpp: removed because it is no longer needed. The code is again in molecule_tools.cpp

	* kdrawchem.h, kdrawchem.cpp, kdrawchem_slots.cpp: added code for the "p orbital" symbol.
	Some code cleanup

	* render2d_event.cpp: modified Render2D:mouseReleaseEvent. The signal signalModified
	must be emitted again.

2002-12-24  Francesco Bresciani  <fbresciani@users.sourceforge.net>

	* arrow.cpp, arrow.h, bond.cpp, bondedit.cpp, bracket.cpp, cdx2cdxml.cpp,
	cdxml_reader.cpp, chemdata.cpp, chemdata.h, chemdata_cdx.cpp, chemdata_cdxml.cpp,
	chemdata_cml.cpp, chemdata_edit.cpp, chemdata_mdl.cpp, chemdata_rw.cpp, 
	chemdata_rxn.cpp, chemdata_tools.cpp, chemdata_xdc.cpp, chemdata_xml.cpp,
	curvearrow.cpp, curvearrow.cpp, defs.h, dpoint.h, drawable.cpp, graphwidget.cpp,
	ioiface.cpp, ioiface.h, moldata.h, molecule.cpp, molecule.h, molecule_1h_nmr.cpp,
	molecule_smiles.cpp, molecule_sssr.h, molecule_tools.cpp, prefs.h, previewwidget.cpp,
	render2d.cpp, render2d.h, render2d_event.cpp, render2d_event.cpp, render2d_select.cpp,
	sdg.h, setofrings.h, sorf.h, symbol.cpp, text.cpp, text.h, xml_cml.cpp,
	xml_reader.cpp: Merged XDrawChem 1.6.2. code
	
2002-12-18  Francesco Bresciani  <fbresciani@users.sourceforge.net>

	* all files: fixed compilation with g++ 3.2 

2002-11-22  Francesco Bresciani  <fbresciani@users.sourceforge.net>

	* kdrawchem_slots.cpp (slotFileImport): use getOBReadMimeTypes from libkemistry.so to
	obtain the list of mime types supported by Open Babel

2002-11-06  Francesco Bresciani  <fbresciani@users.sourceforge.net>

	* arrow.cpp, arrow.h, bond.cpp, bond.h, dpoint.h, bracket.cpp, bracket.h,
	chemdata.cpp, chemdata.h, chemdata_cdx.cpp, chemdata_edit.cpp, chemdata_rxn.cpp, 
	clipboard.h, curverarrow.cpp, curvearrow.h, defs.h, drawable.h, drawable.cpp,
	graphdialog.cpp, graphdialog.h, molecule.cpp, molecule_1h_nrm.cpp,
	molecule_smiles.cpp, molecule_tools.cpp, molinfodialog.h, molinfodialog.cpp,
	render2d.cpp, render2d.h, render2d_print.cpp, render2d_text.cpp, symbol.cpp, symbol.h,
	text.cpp, text.h: Merged XDrawChem 1.6 code
	

2002-11-04  Francesco Bresciani  <fbresciani@users.sourceforge.net>

	* molecule_smiles.cpp: modified the Molecule::ToSMILES() method. The Open Babel API is now used to generate the SMILES string, which was previously generated by the "babel" binary. The babel binary is no longer neeeded.

	* kdrawchemui.rc, kdrawchem.h, kdrawchem.cpp, kdrawchem_slots.cpp:
	Implemented the "Set background color" action (from XDrawChem 1.5.5 sources)

2002-11-03  Francesco Bresciani  <fbresciani@users.sourceforge.net>

	* fixeddialog.cpp, fixeddialogwidget.ui: rewritten user interface for the "Drawing Settings"
	dialog. Now it is designed with Qt-Designer.

2002-10-22  Francesco Bresciani  <fbresciani@users.sourceforge.net>

	* kdrawchem.cpp: enabled loading and saving of drawing preferences

2002-10-21  Francesco Bresciani  <fbresciani@users.sourceforge.net>

	* kdrawchem.cpp: added method InitRingsActions() (all KActions for the the "ring" menu
	are created by this method, which is called by initActions() )

	* prefs.h (class Preferences): removed LoadPrefs and SavePrefs methods because they are never called
	(the preferences are saved in KDrawChemApp::saveOptions (NOT IMPLEMENTED YET))

2002-10-20  Francesco Bresciani  <fbresciani@users.sourceforge.net>

	* kdrawchem.h, kdrawchem.cpp kdrawchem_slots.cpp: implemented the "Drawing settings" action

	* fixeddialog.cpp, fixeddialog.h: new files (from XDrawChem 1.5.5 sources)

	* kdrawchem_slots.cpp: only the used XPMs are now included

	* kdcpreview.cpp: three warnings fixed.

2002-10-18  Francesco Bresciani  <fbresciani@users.sourceforge.net>

	* chemdata.h, chemdata.cpp, chemdata_edit.cpp, chemdata_mdl.cpp,
	chemdata_rxn.cpp, chemdata_tools.cpp, ioiface.h, ioiface.cpp:
	Merged XDrawChem 1.5.5 code

	* kdrawchem_slots.cpp: fixed a bug in KDrawChemApp::slotFileQuit(). 

2002-10-17  Francesco Bresciani  <fbresciani@users.sourceforge.net>

	* defs.h, dpoint.h, graphdialog.cpp, graphwidget.cpp, 
	molecule.h, molecule.cpp, molecule_1h_nmr.cpp,
	molecule_tools.cpp, molecule_smiles.cpp,
	render_2d.h, render_2d.cpp, render_2d_draw.cpp,
	render_2d_event.cpp, render_2d_print.cpp,
	render_2d_text.cpp, text.h, text.cpp: Merged XDrawChem 1.5.5 code

2002-10-16  Francesco Bresciani  <fbresciani@users.sourceforge.net>

	* bond.cpp, bond.h, prefs.h: Merged XDrawChem 1.5.5 code

2002-09-18  Francesco Bresciani  <fbresciani@users.sourceforge.net>

	* chemdata_mdl.cpp: when loading mdl files with negative coordinates,
	moves the molecule further to the right.

	* kdrawstruct_slots.cpp: i18n fix

2002-09-17  Francesco Bresciani  <fbresciani@users.sourceforge.net>

	* kdrawstruct_slots.cpp: modified Import dialog to handle new mime types

2002-09-14  Francesco Bresciani  <fbresciani@users.sourceforge.net>

	* Makefile.am kopart/Makefile.am: modified to implement the
	new --With-koffice-part configure option

	* defs.h: Defines UNIX

2002-09-13 Adam Tenderholt <atenderholt@users.sourceforge.net>

  * kopart subdirectory: added files for KOffice part

2002-09-02 Adam Tenderholt <atenderholt@users.sourceforge.net>

  * kdrawchem_slots.cpp, text.h, text.cpp, kdrawchem.cpp: made some
    changes on how text is inserted (mainly if modifier is selected,
    text inserted afterwards is modified as well.)

2002-09-01 Adam Tenderholt <atenderholt@users.sourceforge.net>

  * lots of files: custom "rings" menu now works. Also fixed random
    saving bugs. Added IR prediction.

2002-08-31 Adam Tenderholt <atenderholt@users.sourceforge.net>

  * custom_rings.cpp, custom_rings.h: class to handle custom "rings"

  * kdrawchem.cpp, kdrawchem.h, kdrawchem_slots.cpp: added menu
    support for custom "rings". Needs certain files to work properly
    right now.

2002-08-29 Adam Tenderholt <atenderholt@users.sourceforge.net>

	* kdcpreview.cpp,kdcpreview.h, molecule.cpp: added support for labels (could use some improvement).

2002-08-29  Francesco Bresciani  <fbresciani@users.sourceforge.net>

	* kdrawchem.cpp, main.cpp: moved "preferences" definition to kdrawchem.cpp
	in order to solve an "undefined symbol" problem with  KDrawChemPart when
	embedded in Konqueror

	* molecule_smiles.cpp: Removed the #ifdef UNIX in Molecule::ToSMILES()

	* kdrawchem.h, kdrawchem.cpp, kdrawchemui.rc, kdrawchem_slots.cpp:
	Added "Output SMILES" action.

2002-08-27  Francesco Bresciani  <fbresciani@users.sourceforge.net>

	* kdrawchem.h, kdrawchem.cpp, kdrawchemui.rc, kdrawhem_slots.cpp:
	Added "Input SMILES" action

2002-08-26  Adam Tenderholt  <atenderholt@users.sourceforge.net>

  * kdrawchem_slots.cpp, render2d_print.cpp, etc: Changed print stuff
    to use KPrinter instead of QPrinter.

  * kdcpreview.h, kdcpreview.cpp, chemdata.cpp, chemdata.h, molecule.cpp,
    molecule.h, Makefile.am, etc: added a preview widget for filedialogs

2002-08-23  Francesco Bresciani  <fbresciani@users.sourceforge.net>

	* molecule_tools.cpp: Found more "hidden strings" to be translated
	* boshcp.cpp: i18n fixes 

2002-08-22  Francesco Bresciani  <fbresciani@users.sourceforge.net>

	* boshcp.txt: New file. Data file for boshcp.cpp

	* boshcp.cpp: New file. New code for 13C NMR predictions. Should fix
	all the memory related problems while compiling

	* graphwidget.cpp: i18n fixes
2002-08-21  Francesco Bresciani  <fbresciani@users.sourceforge.net>

	* molecule_tools.cpp: more i18n fixes

	* main.cpp: internationalized credit for Brian Herger

	* kdrawchem.cpp: internationalized strings in arrow, symbol, bracket menus

2002-08-20  Francesco Bresciani  <fbresciani@users.sourceforge.net>

	* kdrawchem_slots.cpp : new file (all KDrawChemApp slots) are moved
	to this file

	* ioiface.cpp ioiface.h kdrawchem.h kdrawchem.cpp kdrawchemdoc.cpp:
	modified to reduce compilation time and memory usage

2002-08-19 Adam Tenderholt <atenderholt@users.sourceforge.net>

  * defs.h: changed MODE_SELECT_NONE to 91 so it doesn't conflict 
    with MODE_SELECT_MULTIPLE_SELECTED.

2002-08-17 Adam Tenderholt <atenderholt@users.sourceforge.net>

	* overall: upgraded to XDrawChem 1.5 code.

2002-08-16 Adam Tenderholt <atenderholt@users.sourceforge.net>

  * ioiface.cpp: obmol->DeleteNonPolarHydrogens() makes structures
    look better on import because it removes hydrogens.

2002-08-14 Adam Tenderholt <atenderholt@users.sourceforge.net>

  * ioiface.cpp: fixed IOIface::convertToChemData().

  * main.cpp: added credit for Bryan Herger, author of XDrawChem

2002-08-13 Adam Tenderholt <atenderholt@users.sourceforge.net>

	* ioiface.h, ioiface.cpp: modified IOIface. Draws bonds, but doesn't 
		add element labels correctly.
		
2002-08-11 Adam Tenderholt <atenderholt@users.sourceforge.net>

	* kdrawchem.cpp, ioiface.h, ioiface.cpp: added IOIface class to translate 
		between OpenBabel formats and ChemData. Not working correctly.

2002-08-08  Adam Tenderholt <atenderholt@users.sourceforge.net>

	* kdrawchem.cpp, kdrawchem.h: Added predrawn groups menu. Added
	  1H NMR tool.

2002-08-07  Francesco Bresciani  <fbresciani@users.sourceforge.net>

	* Makefile.am: fixed rings directory installation problem

2002-08-06 Adam Tenderholt <atenderholt@users.sourceforge.net>

  * kdrawchem.h, kdrawchem.cpp: Added predrawn rings menu.

2002-08-06 Adam Tenderholt <atenderholt@users.sourceforge.net>

	* kdrawchem.h, kdrawchem.cpp, aa_xpm.h: Added predrawn Amino acids.

2002-08-05 Adam Tenderholt <atenderholt@users.sourceforge.net>

  * Makefile.am, kdrawchem.h, kdrawchem.cpp, tool_xpm.h: added support
    for sugar and nucleic acid rings menu.

  * Added rings/ dir.

2002-08-05  Francesco Bresciani  <fbresciani@users.sourceforge.net>

	* chemdata_rxn.cpp: tr() --> i18n()

2002-08-04  Adam Tenderholt <atenderholt@users.sourceforge.net>
	
	* Overall: upgraded XDrawChem code to version 1.4.2 (includes 1H NMR
		prediction, and fixes Windows Bitmap (*.bmp) export.

2002-08-02  Francesco Bresciani  <fbresciani@users.sourceforge.net>

	* Makefile.am: the 'rc.cpp' target now depends on *.rc

2002-08-01 Adam Tenderholt <atenderholt@users.sourceforge.net>

  * kdrawchem.cpp, kdrawchem.h: added Save Picture features (bmp doesn't
    work correctly). Also fixed (hopefully) New and Open file bugs.

2002-08-01  Francesco Bresciani  <fbresciani@users.sourceforge.net>

	* Overall: replaced every call to tr() with calls to i18n()

2002-07-31 Adam Tenderholt <atenderholt@users.sourceforge.net>

  * kdrawchem.cpp, kdrawchem.h: added KToggleActions/slots to implement
    fixed bond and arrow properties.

2002-07-30 Adam Tenderholt <atenderholt@users.sourceforge.net>

  * tool_xpm.h, curve_xpm.h, font_xpm.h: Combined various xpm's into files to
    fix missing pixmaps on global installs. 

  * kdrawchem.cpp: changed code for above changes

  * kdrawchem.cpp: fixed save and saveAs problems. Also added flip menu/actions.
2002-07-29 Adam Tenderholt <atenderholt@users.sourceforge.net>

  * kdrawchempart.h, kdrawchempart.cpp: added code to allow parts (ie embed in konq)

  * Overall: fixed fontAction and fontSizeAction so that when text is selected it
    correctly displays the current font and size

  * kdrawchem.h, kdrawchem.cpp: added actions and slots to create rotate menu

2002-07-27 Adam Tenderholt <atenderholt@users.sourceforge.net>

  * Overall: added correct toggle features for superscript and subscript

2002-07-26 Francesco Bresciani <fbresciani@users.sourceforge.net>
  * molecule_tools.cpp: removed #include "boshcp.h" statement to reduce
   memory use

2002-07-26 Adam Tenderholt <atenderholt@users.sourceforge.net>

  * text.cpp,text.h: added DoUnBold() to fix bold toggle button problems.

  * Overall: fixed Italic and Underline toggle problems like Bold was fixed. Still a little
    buggy, since you can't do combinations of bold, italic, and underline.

2002-07-25 Adam Tenderholt <atenderholt@users.sourceforge.net>

  * text.h: added signals signalHasBold(bool) and signalHasItalic(bool).

  * render2d.h: added signal hasBold(bool). Connected Text::signalHasBold(bool) to
    Render2d::hasBold(bool) in render2d_text.cpp:122

  * kdrawchem.cpp: added slot slotHasBold(bool). Connected Render2d signal to KDrawChemApp slot.
    Above changes make hasBold toggle button appear correctly depending on selected text.
    Doesn't correctly make stuff bold or unbold.

  * molecule_13nmr.cpp: created file in hopes of fixing compile aborts due to not enough
    memory.


2002-07-24 Adam Tenderholt <atenderholt@users.sourceforge.net>

  * kdrawchem.cpp: Added italic, underline, superscript, and subscript as KToggleAction.
    Changed bold to KToggleAction. However, the toggle don't work correctly.


2002-07-23 Adam Tenderholt <atenderholt@users.sourceforge.net>

  * kdrawchem.cpp: added bracket and symbol toolbar menus, and created associated
    slots. Also added font selecter and font size selecter using KFontAction and
    KFontSizeAction. Added bold. It doesn't toggle though.

2002-07-22  Francesco Bresciani  <fbresciani@users.sourceforge.net>

	* Makefile.am: modified "messages" target. Added "rc.cpp" target

	* molecule_13c_nmr.cpp: removed

2002-07-21  Francesco Bresciani  <fbresciani@users.sourceforge.net>

	* molecule_13c_nmr.cpp: new file. Moved 13C NMR code from 
	molecule_tools.cpp to molecule_13c_nmr.cpp

	* main.cpp: Added credits for Francesco Bresciani. Modified about data to
	show translators info and Kemistry version.

2002-07-21 Adam Tenderholt <atenderholt@users.sourceforge.net>

  * kdrawchem.cpp: added the Empirical Formula, Elemental Analsysis, Molecular
  Information, 13C NMR, and cleanup structure menu items and slots. Connected
  Render2D::SignalSlotStatusBar to KDrawChemApp::slotStatusMsg.

  * kdrawchemview.cpp removed KDrawChemView::setMode.


